Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config.simple.editor
Class JposEntryComparable

    java.lang.Object
      |
      +--jpos.config.simple.editor.JposEntryComparable

All Implemented Interfaces:
  Comparable

public class JposEntryComparable
extends java.lang.Object
implements Comparable

JposEntry implementation of the Comparable interface NOTE: uses the JposENtry's logicalName property as the mean of comparison

Version:
  1.3.0 (JDK 1.1.x)
Author:
  Manuel M Monserrate

Constructor Summary
`JposEntryComparable(JposEntry entry)` Default 1-argument ctor

Method Summary
`int` | `compareTo(java.lang.Object other)` Compares two JposEntries
`boolean` | `equals(java.lang.Object other)` Indicates this JposEntry is "equal to" the other
`JposEntry` | `getJposEntry()`

Methods inherited from class java.lang.Object
`, clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JposEntryComparable

    public JposEntryComparable(JposEntry entry)

  Default 1-argument ctor
  Parameters:
    `obj` - the element's Object

Method Detail

### compareTo

    public int compareTo(java.lang.Object other)

  Compares two JposEntries
  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `other` - JposEntry to compare to

### equals

    public boolean equals(java.lang.Object other)

  Indicates this JposEntry is "equal to" the other
  Specified by:
    `equals` in interface `Comparable`
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `other` - JposEntry to compare to

### getJposEntry

    public JposEntry getJposEntry()

  Returns:
    the JposEntry of this Comparable element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details